# Update the desktop database:
if [ -x usr/bin/update-desktop-database ]; then
  chroot . /usr/bin/update-desktop-database usr/share/applications > /dev/null 2>&1
fi

# Update hicolor theme cache:
if [ -d usr/share/icons/hicolor ]; then
  if [ -x /usr/bin/gtk-update-icon-cache ]; then
    chroot . /usr/bin/gtk-update-icon-cache -f -t usr/share/icons/hicolor 1> /dev/null 2> /dev/null
  fi
fi

# Update the mime database:
if [ -x usr/bin/update-mime-database ]; then
  chroot . /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
fi

( cd usr/lib ; rm -rf libindex.so.0 )
( cd usr/lib ; ln -sf libindex.so.0.0.0 libindex.so.0 )
( cd usr/lib ; rm -rf libindex.so )
( cd usr/lib ; ln -sf libindex.so.0 libindex.so )
( cd usr/lib ; rm -rf libkmime.so.2 )
( cd usr/lib ; ln -sf libkmime.so.2.2.0 libkmime.so.2 )
( cd usr/lib ; rm -rf libkmime.so )
( cd usr/lib ; ln -sf libkmime.so.2 libkmime.so )
( cd usr/lib ; rm -rf libktnef.so.1 )
( cd usr/lib ; ln -sf libktnef.so.1.0.0 libktnef.so.1 )
( cd usr/lib ; rm -rf libktnef.so )
( cd usr/lib ; ln -sf libktnef.so.1 libktnef.so )
( cd usr/lib ; rm -rf libkcal.so.2 )
( cd usr/lib ; ln -sf libkcal.so.2.0.0 libkcal.so.2 )
( cd usr/lib ; rm -rf libkcal.so )
( cd usr/lib ; ln -sf libkcal.so.2 libkcal.so )
( cd usr/lib ; rm -rf libtdepim.so.1 )
( cd usr/lib ; ln -sf libtdepim.so.1.0.0 libtdepim.so.1 )
( cd usr/lib ; rm -rf libtdepim.so )
( cd usr/lib ; ln -sf libtdepim.so.1 libtdepim.so )
( cd usr/lib ; rm -rf libkpimidentities.so.1 )
( cd usr/lib ; ln -sf libkpimidentities.so.1.0.0 libkpimidentities.so.1 )
( cd usr/lib ; rm -rf libkpimidentities.so )
( cd usr/lib ; ln -sf libkpimidentities.so.1 libkpimidentities.so )
( cd usr/lib ; rm -rf libgpgme++.so.0 )
( cd usr/lib ; ln -sf libgpgme++.so.0.4.0 libgpgme++.so.0 )
( cd usr/lib ; rm -rf libgpgme++.so )
( cd usr/lib ; ln -sf libgpgme++.so.0 libgpgme++.so )
( cd usr/lib ; rm -rf libqgpgme.so.0 )
( cd usr/lib ; ln -sf libqgpgme.so.0.0.0 libqgpgme.so.0 )
( cd usr/lib ; rm -rf libqgpgme.so )
( cd usr/lib ; ln -sf libqgpgme.so.0 libqgpgme.so )
( cd usr/lib ; rm -rf libkleopatra.so.1 )
( cd usr/lib ; ln -sf libkleopatra.so.1.0.0 libkleopatra.so.1 )
( cd usr/lib ; rm -rf libkleopatra.so )
( cd usr/lib ; ln -sf libkleopatra.so.1 libkleopatra.so )
( cd usr/lib ; rm -rf libkpgp.so.2 )
( cd usr/lib ; ln -sf libkpgp.so.2.2.0 libkpgp.so.2 )
( cd usr/lib ; rm -rf libkpgp.so )
( cd usr/lib ; ln -sf libkpgp.so.2 libkpgp.so )
( cd usr/lib ; rm -rf libmimelib.so.1 )
( cd usr/lib ; ln -sf libmimelib.so.1.0.1 libmimelib.so.1 )
( cd usr/lib ; rm -rf libmimelib.so )
( cd usr/lib ; ln -sf libmimelib.so.1 libmimelib.so )
( cd usr/lib ; rm -rf libksieve.so.0 )
( cd usr/lib ; ln -sf libksieve.so.0.0.0 libksieve.so.0 )
( cd usr/lib ; rm -rf libksieve.so )
( cd usr/lib ; ln -sf libksieve.so.0 libksieve.so )
( cd usr/lib ; rm -rf libkpimexchange.so.1 )
( cd usr/lib ; ln -sf libkpimexchange.so.1.0.0 libkpimexchange.so.1 )
( cd usr/lib ; rm -rf libkpimexchange.so )
( cd usr/lib ; ln -sf libkpimexchange.so.1 libkpimexchange.so )
( cd usr/lib ; rm -rf libakregatorprivate.so.0 )
( cd usr/lib ; ln -sf libakregatorprivate.so.0.0.0 libakregatorprivate.so.0 )
( cd usr/lib ; rm -rf libakregatorprivate.so )
( cd usr/lib ; ln -sf libakregatorprivate.so.0 libakregatorprivate.so )
( cd usr/lib ; rm -rf libkaddressbook.so.0 )
( cd usr/lib ; ln -sf libkaddressbook.so.0.0.0 libkaddressbook.so.0 )
( cd usr/lib ; rm -rf libkaddressbook.so )
( cd usr/lib ; ln -sf libkaddressbook.so.0 libkaddressbook.so )
( cd usr/lib ; rm -rf libkabinterfaces.so.1 )
( cd usr/lib ; ln -sf libkabinterfaces.so.1.0.0 libkabinterfaces.so.1 )
( cd usr/lib ; rm -rf libkabinterfaces.so )
( cd usr/lib ; ln -sf libkabinterfaces.so.1 libkabinterfaces.so )
( cd usr/lib ; rm -rf libkgantt.so.0 )
( cd usr/lib ; ln -sf libkgantt.so.0.0.2 libkgantt.so.0 )
( cd usr/lib ; rm -rf libkgantt.so )
( cd usr/lib ; ln -sf libkgantt.so.0 libkgantt.so )
( cd usr/lib ; rm -rf libkholidays.so.1 )
( cd usr/lib ; ln -sf libkholidays.so.1.0.0 libkholidays.so.1 )
( cd usr/lib ; rm -rf libkholidays.so )
( cd usr/lib ; ln -sf libkholidays.so.1 libkholidays.so )
( cd usr/lib ; rm -rf libkorganizer_calendar.so.1 )
( cd usr/lib ; ln -sf libkorganizer_calendar.so.1.0.0 libkorganizer_calendar.so.1 )
( cd usr/lib ; rm -rf libkorganizer_calendar.so )
( cd usr/lib ; ln -sf libkorganizer_calendar.so.1 libkorganizer_calendar.so )
( cd usr/lib ; rm -rf libkorganizer_eventviewer.so.1 )
( cd usr/lib ; ln -sf libkorganizer_eventviewer.so.1.0.0 libkorganizer_eventviewer.so.1 )
( cd usr/lib ; rm -rf libkorganizer_eventviewer.so )
( cd usr/lib ; ln -sf libkorganizer_eventviewer.so.1 libkorganizer_eventviewer.so )
( cd usr/lib ; rm -rf libkorganizer.so.1 )
( cd usr/lib ; ln -sf libkorganizer.so.1.0.0 libkorganizer.so.1 )
( cd usr/lib ; rm -rf libkorganizer.so )
( cd usr/lib ; ln -sf libkorganizer.so.1 libkorganizer.so )
( cd usr/lib ; rm -rf libkocorehelper.so.1 )
( cd usr/lib ; ln -sf libkocorehelper.so.1.0.0 libkocorehelper.so.1 )
( cd usr/lib ; rm -rf libkocorehelper.so )
( cd usr/lib ; ln -sf libkocorehelper.so.1 libkocorehelper.so )
( cd usr/lib ; rm -rf libkorg_stdprinting.so.1 )
( cd usr/lib ; ln -sf libkorg_stdprinting.so.1.0.0 libkorg_stdprinting.so.1 )
( cd usr/lib ; rm -rf libkorg_stdprinting.so )
( cd usr/lib ; ln -sf libkorg_stdprinting.so.1 libkorg_stdprinting.so )
( cd usr/lib ; rm -rf libknotes.so.0 )
( cd usr/lib ; ln -sf libknotes.so.0.0.0 libknotes.so.0 )
( cd usr/lib ; rm -rf libknotes.so )
( cd usr/lib ; ln -sf libknotes.so.0 libknotes.so )
( cd usr/lib ; rm -rf libkode.so.1 )
( cd usr/lib ; ln -sf libkode.so.1.0.0 libkode.so.1 )
( cd usr/lib ; rm -rf libkode.so )
( cd usr/lib ; ln -sf libkode.so.1 libkode.so )
( cd usr/lib ; rm -rf libkgroupwarebase.so.0 )
( cd usr/lib ; ln -sf libkgroupwarebase.so.0.0.0 libkgroupwarebase.so.0 )
( cd usr/lib ; rm -rf libkgroupwarebase.so )
( cd usr/lib ; ln -sf libkgroupwarebase.so.0 libkgroupwarebase.so )
( cd usr/lib ; rm -rf libkgroupwaredav.so.0 )
( cd usr/lib ; ln -sf libkgroupwaredav.so.0.0.0 libkgroupwaredav.so.0 )
( cd usr/lib ; rm -rf libkgroupwaredav.so )
( cd usr/lib ; ln -sf libkgroupwaredav.so.0 libkgroupwaredav.so )
( cd usr/lib ; rm -rf libkcal_resourceremote.so.1 )
( cd usr/lib ; ln -sf libkcal_resourceremote.so.1.0.0 libkcal_resourceremote.so.1 )
( cd usr/lib ; rm -rf libkcal_resourceremote.so )
( cd usr/lib ; ln -sf libkcal_resourceremote.so.1 libkcal_resourceremote.so )
( cd usr/lib ; rm -rf libtdeabc_xmlrpc.so.1 )
( cd usr/lib ; ln -sf libtdeabc_xmlrpc.so.1.0.0 libtdeabc_xmlrpc.so.1 )
( cd usr/lib ; rm -rf libtdeabc_xmlrpc.so )
( cd usr/lib ; ln -sf libtdeabc_xmlrpc.so.1 libtdeabc_xmlrpc.so )
( cd usr/lib ; rm -rf libkcal_xmlrpc.so.1 )
( cd usr/lib ; ln -sf libkcal_xmlrpc.so.1.0.0 libkcal_xmlrpc.so.1 )
( cd usr/lib ; rm -rf libkcal_xmlrpc.so )
( cd usr/lib ; ln -sf libkcal_xmlrpc.so.1 libkcal_xmlrpc.so )
( cd usr/lib ; rm -rf libknotes_xmlrpc.so.1 )
( cd usr/lib ; ln -sf libknotes_xmlrpc.so.1.0.0 libknotes_xmlrpc.so.1 )
( cd usr/lib ; rm -rf libknotes_xmlrpc.so )
( cd usr/lib ; ln -sf libknotes_xmlrpc.so.1 libknotes_xmlrpc.so )
( cd usr/lib ; rm -rf libtdeabckolab.so.0 )
( cd usr/lib ; ln -sf libtdeabckolab.so.0.0.0 libtdeabckolab.so.0 )
( cd usr/lib ; rm -rf libtdeabckolab.so )
( cd usr/lib ; ln -sf libtdeabckolab.so.0 libtdeabckolab.so )
( cd usr/lib ; rm -rf libknoteskolab.so.0 )
( cd usr/lib ; ln -sf libknoteskolab.so.0.0.0 libknoteskolab.so.0 )
( cd usr/lib ; rm -rf libknoteskolab.so )
( cd usr/lib ; ln -sf libknoteskolab.so.0 libknoteskolab.so )
( cd usr/lib ; rm -rf libkcalkolab.so.0 )
( cd usr/lib ; ln -sf libkcalkolab.so.0.0.0 libkcalkolab.so.0 )
( cd usr/lib ; rm -rf libkcalkolab.so )
( cd usr/lib ; ln -sf libkcalkolab.so.0 libkcalkolab.so )
( cd usr/lib ; rm -rf libkslox.so.0 )
( cd usr/lib ; ln -sf libkslox.so.0.0.0 libkslox.so.0 )
( cd usr/lib ; rm -rf libkslox.so )
( cd usr/lib ; ln -sf libkslox.so.0 libkslox.so )
( cd usr/lib ; rm -rf libtdeabc_slox.so.0 )
( cd usr/lib ; ln -sf libtdeabc_slox.so.0.0.0 libtdeabc_slox.so.0 )
( cd usr/lib ; rm -rf libtdeabc_slox.so )
( cd usr/lib ; ln -sf libtdeabc_slox.so.0 libtdeabc_slox.so )
( cd usr/lib ; rm -rf libkcal_slox.so.0 )
( cd usr/lib ; ln -sf libkcal_slox.so.0.0.0 libkcal_slox.so.0 )
( cd usr/lib ; rm -rf libkcal_slox.so )
( cd usr/lib ; ln -sf libkcal_slox.so.0 libkcal_slox.so )
( cd usr/lib ; rm -rf libkcal_groupwise.so.1 )
( cd usr/lib ; ln -sf libkcal_groupwise.so.1.0.0 libkcal_groupwise.so.1 )
( cd usr/lib ; rm -rf libkcal_groupwise.so )
( cd usr/lib ; ln -sf libkcal_groupwise.so.1 libkcal_groupwise.so )
( cd usr/lib ; rm -rf libtdeabc_groupwise.so.1 )
( cd usr/lib ; ln -sf libtdeabc_groupwise.so.1.0.0 libtdeabc_groupwise.so.1 )
( cd usr/lib ; rm -rf libtdeabc_groupwise.so )
( cd usr/lib ; ln -sf libtdeabc_groupwise.so.1 libtdeabc_groupwise.so )
( cd usr/lib ; rm -rf libgwsoap.so.0 )
( cd usr/lib ; ln -sf libgwsoap.so.0.0.0 libgwsoap.so.0 )
( cd usr/lib ; rm -rf libgwsoap.so )
( cd usr/lib ; ln -sf libgwsoap.so.0 libgwsoap.so )
( cd usr/lib ; rm -rf libkcal_resourcefeatureplan.so.1 )
( cd usr/lib ; ln -sf libkcal_resourcefeatureplan.so.1.0.0 libkcal_resourcefeatureplan.so.1 )
( cd usr/lib ; rm -rf libkcal_resourcefeatureplan.so )
( cd usr/lib ; ln -sf libkcal_resourcefeatureplan.so.1 libkcal_resourcefeatureplan.so )
( cd usr/lib ; rm -rf libkcal_groupdav.so.1 )
( cd usr/lib ; ln -sf libkcal_groupdav.so.1.0.0 libkcal_groupdav.so.1 )
( cd usr/lib ; rm -rf libkcal_groupdav.so )
( cd usr/lib ; ln -sf libkcal_groupdav.so.1 libkcal_groupdav.so )
( cd usr/lib ; rm -rf libtdeabc_groupdav.so.1 )
( cd usr/lib ; ln -sf libtdeabc_groupdav.so.1.0.0 libtdeabc_groupdav.so.1 )
( cd usr/lib ; rm -rf libtdeabc_groupdav.so )
( cd usr/lib ; ln -sf libtdeabc_groupdav.so.1 libtdeabc_groupdav.so )
( cd usr/lib ; rm -rf libkcal_newexchange.so.1 )
( cd usr/lib ; ln -sf libkcal_newexchange.so.1.0.0 libkcal_newexchange.so.1 )
( cd usr/lib ; rm -rf libkcal_newexchange.so )
( cd usr/lib ; ln -sf libkcal_newexchange.so.1 libkcal_newexchange.so )
( cd usr/lib ; rm -rf libtdeabc_newexchange.so.1 )
( cd usr/lib ; ln -sf libtdeabc_newexchange.so.1.0.0 libtdeabc_newexchange.so.1 )
( cd usr/lib ; rm -rf libtdeabc_newexchange.so )
( cd usr/lib ; ln -sf libtdeabc_newexchange.so.1 libtdeabc_newexchange.so )
( cd usr/lib ; rm -rf libtdeabcscalix.so.0 )
( cd usr/lib ; ln -sf libtdeabcscalix.so.0.0.0 libtdeabcscalix.so.0 )
( cd usr/lib ; rm -rf libtdeabcscalix.so )
( cd usr/lib ; ln -sf libtdeabcscalix.so.0 libtdeabcscalix.so )
( cd usr/lib ; rm -rf libkcalscalix.so.0 )
( cd usr/lib ; ln -sf libkcalscalix.so.0.0.0 libkcalscalix.so.0 )
( cd usr/lib ; rm -rf libkcalscalix.so )
( cd usr/lib ; ln -sf libkcalscalix.so.0 libkcalscalix.so )
( cd usr/lib ; rm -rf libknotesscalix.so.0 )
( cd usr/lib ; ln -sf libknotesscalix.so.0.0.0 libknotesscalix.so.0 )
( cd usr/lib ; rm -rf libknotesscalix.so )
( cd usr/lib ; ln -sf libknotesscalix.so.0 libknotesscalix.so )
( cd usr/lib ; rm -rf libkarm.so.0 )
( cd usr/lib ; ln -sf libkarm.so.0.0.0 libkarm.so.0 )
( cd usr/lib ; rm -rf libkarm.so )
( cd usr/lib ; ln -sf libkarm.so.0 libkarm.so )
( cd usr/lib ; rm -rf libknodecommon.so.3 )
( cd usr/lib ; ln -sf libknodecommon.so.3.0.0 libknodecommon.so.3 )
( cd usr/lib ; rm -rf libknodecommon.so )
( cd usr/lib ; ln -sf libknodecommon.so.3 libknodecommon.so )
( cd usr/lib ; rm -rf libkpinterfaces.so.1 )
( cd usr/lib ; ln -sf libkpinterfaces.so.1.0.0 libkpinterfaces.so.1 )
( cd usr/lib ; rm -rf libkpinterfaces.so )
( cd usr/lib ; ln -sf libkpinterfaces.so.1 libkpinterfaces.so )
( cd usr/lib ; rm -rf libkontact.so.1 )
( cd usr/lib ; ln -sf libkontact.so.1.0.0 libkontact.so.1 )
( cd usr/lib ; rm -rf libkontact.so )
( cd usr/lib ; ln -sf libkontact.so.1 libkontact.so )
